// http://akelpad.sourceforge.net/forum/viewtopic.php?p=15158#15158
// Description(1033): Displaying group of special characters
// Description(1049): Отображение групп специальных символов
// Version: 1.0 (2012.09.12)
// Author: VladSh
// 
// Usage:
// 	-"Спецсимволы: Пробелы и Табуляции" Call("Scripts::Main", 1, "SpecialCharSwitcher.js", `"1,2,4,5,6"`)
// 	-"Сбросить" Call("Scripts::Main", 1, "SpecialCharSwitcher.js", `"0"`) - без выключения плага
// 	-"Выключить" Call("Scripts::Main", 1, "SpecialCharSwitcher.js")

var fSpecialCharMain = "SpecialChar::Main";
var fSpecialCharSettings = "SpecialChar::Settings";
var scCodes = AkelPad.GetArgLine();

// не запускать, когда плаг включён и переданы коды символов
if (!(AkelPad.IsPluginRunning(fSpecialCharMain) && scCodes) || (AkelPad.IsPluginRunning(fSpecialCharMain) && !scCodes)) {
	AkelPad.Call(fSpecialCharMain);
}

if (scCodes) {
	AkelPad.Call(fSpecialCharSettings, 1, "1,2,3,4,5,6,7,8", "0", "0", 0, 0)	// сброс отображения всех установленных символов
	
	if (scCodes != "0")
		AkelPad.Call(fSpecialCharSettings, 1, scCodes, "0", "0", -1, -1);
}